# Uses of Interface
org.eclipse.e4.ui.model.application.commands.MParameter

Packages that use MParameter
Package
Description
org.eclipse.e4.ui.model.application.commands
org.eclipse.e4.ui.model.application.commands.impl
org.eclipse.e4.ui.model.application.commands.util
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl

## Uses of MParameter in org.eclipse.e4.ui.model.application.commands

Methods in org.eclipse.e4.ui.model.application.commands that return MParameter
Modifier and Type
Method
Description
`MParameter`
MCommandsFactory.`createParameter()`
Returns a new object of class 'Parameter'.
Methods in org.eclipse.e4.ui.model.application.commands that return types with arguments of type MParameter
Modifier and Type
Method
Description
`List<MParameter>`
MKeyBinding.`getParameters()`
Returns the value of the 'Parameters' containment reference list.

## Uses of MParameter in org.eclipse.e4.ui.model.application.commands.impl

Classes in org.eclipse.e4.ui.model.application.commands.impl that implement MParameter
Modifier and Type
Class
Description
`class`
`ParameterImpl`
An implementation of the model object 'Parameter'.
Fields in org.eclipse.e4.ui.model.application.commands.impl with type parameters of type MParameter
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MParameter>`
KeyBindingImpl.`parameters`
The cached value of the '`Parameters`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.commands.impl that return MParameter
Modifier and Type
Method
Description
`MParameter`
CommandsFactoryImpl.`createParameter()`
Methods in org.eclipse.e4.ui.model.application.commands.impl that return types with arguments of type MParameter
Modifier and Type
Method
Description
`List<MParameter>`
KeyBindingImpl.`getParameters()`

## Uses of MParameter in org.eclipse.e4.ui.model.application.commands.util

Methods in org.eclipse.e4.ui.model.application.commands.util with parameters of type MParameter
Modifier and Type
Method
Description
`T`
CommandsSwitch.`caseParameter(MParameter object)`
Returns the result of interpreting the object as an instance of 'Parameter'.

## Uses of MParameter in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return types with arguments of type MParameter
Modifier and Type
Method
Description
`List<MParameter>`
MHandledItem.`getParameters()`
Returns the value of the 'Parameters' containment reference list.

## Uses of MParameter in org.eclipse.e4.ui.model.application.ui.menu.impl

Fields in org.eclipse.e4.ui.model.application.ui.menu.impl with type parameters of type MParameter
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MParameter>`
HandledItemImpl.`parameters`
The cached value of the '`Parameters`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MParameter>`
HandledMenuItemImpl.`parameters`
The cached value of the '`Parameters`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MParameter>`
HandledToolItemImpl.`parameters`
The cached value of the '`Parameters`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return types with arguments of type MParameter
Modifier and Type
Method
Description
`List<MParameter>`
HandledItemImpl.`getParameters()`
`List<MParameter>`
HandledMenuItemImpl.`getParameters()`
`List<MParameter>`
HandledToolItemImpl.`getParameters()`